id: ivanti-csa-panel

info:
  name: Ivanti(R) Cloud Services Appliance - Panel
  author: rxerium
  severity: info
  description: |
    An Ivanti Cloud Services Appliance panel was detected.
  reference:
    - https://help.ivanti.com/ld/help/en_US/LDMS/10.0/Windows/csa-h-help.htm
  metadata:
    verified: true
    max-request: 1
    shodan-query: title:"Cloud Services Appliance"
  tags: ivanti,csa,panel,login

http:
  - method: GET
    path:
      - "{{BaseURL}}"

    matchers-condition: and
    matchers:
      - type: word
        part: body
        words:
          - "<title>Ivanti(R) Cloud Services Appliance</title>"

      - type: status
        status:
          - 200
# digest: 490a0046304402206f547c704833081daf581ae74bfa60cc4813362da0d8185fc7081eb5eb68486c02203a0069407b673009b59dc53c631c559857bb526e4175fe763e78b67c2a1bd9df:922c64590222798bb761d5b6d8e72950